#!/bin/sh

VIDEODOOR_PATH=`pwd`
VIDEODOOR_MP="/mnt/videodoor"

# To mount VIDEODOOR ROMFS file
if [ -f $VIDEODOOR_PATH/videodoor.bin ]; then
	if [ ! -d $VIDEODOOR_MP ]; then mkdir -p $VIDEODOOR_MP ; fi
	mount -t romfs $VIDEODOOR_PATH/videodoor.bin		$VIDEODOOR_MP
	if [ ! "$?" == "0" ]; then
		echo "Mount videodoor.bin failure."
		exit 1
	fi

	# Execute VIDEODOOR
	cd $VIDEODOOR_MP
        ./videodoor -C

else
	echo "$VIDEODOOR_PATH/videodoor.bin non-exist"
	exit 1
fi

